aboutsummaryrefslogtreecommitdiff
path: root/tests/substituter.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/substituter.sh')
-rwxr-xr-xtests/substituter.sh27
1 files changed, 19 insertions, 8 deletions
diff --git a/tests/substituter.sh b/tests/substituter.sh
index 96fb95b91..b244b30e8 100755
--- a/tests/substituter.sh
+++ b/tests/substituter.sh
@@ -1,14 +1,25 @@
#! /bin/sh -e
echo substituter args: $* >&2
-if test $1 = "--query-paths"; then
- cat $TEST_ROOT/sub-paths
-elif test $1 = "--query-info"; then
- shift
- for i in in $@; do
- echo $i
- echo "" # deriver
- echo 0 # nr of refs
+if test $1 = "--query"; then
+ while read cmd; do
+ echo FOO $cmd >&2
+ if test "$cmd" = "have"; then
+ read path
+ if grep -q "$path" $TEST_ROOT/sub-paths; then
+ echo 1
+ else
+ echo 0
+ fi
+ elif test "$cmd" = "info"; then
+ read path
+ echo 1
+ echo "" # deriver
+ echo 0 # nr of refs
+ else
+ echo "bad command $cmd"
+ exit 1
+ fi
done
elif test $1 = "--substitute"; then
mkdir $2